glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# Glib::Value< long long > Class Template Reference
Generic Values

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< long long >:
[legend]

List of all members.

## Public Types
typedef long long | CppType
typedef gint64 | CType
## Public Member Functions
void | set (long long data)
long long | get () const
## Static Public Member Functions
static GType | value_type ()

### template <>
class Glib::Value< long long >

## Member Typedef Documentation

typedef long long Glib::Value< long long >::CppType

typedef gint64 Glib::Value< long long >::CType

## Member Function Documentation

long long Glib::Value< long long >::get | ( |  | ) | const

void Glib::Value< long long >::set | ( | long long | data | ) |

static GType Glib::Value< long long >::value_type | ( |  | ) | `[static]`